    # File lib/amalgalite/type_maps/default_map.rb, line 85
        def result_value_of( declared_type, value )
          case value
          when Numeric
            return value
          when NilClass
            return value
          when Amalgalite::Blob
            return value
          when String
            if declared_type then
              conversion_method = DefaultMap.sql_to_method( declared_type.downcase )
              if conversion_method then
                return send(conversion_method, value)
              else
                raise ::Amalgalite::Error, "Unable to convert SQL type of #{declared_type} to a Ruby class"
              end
            else
              # unable to do any other conversion, just return what we have.
              return value
            end
          else
            raise ::Amalgalite::Error, "Unable to convert a class #{value.class.name} with value #{value.inspect}"
          end
        end